using System;
class Takmicenje
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int N = int.Parse(s[0]);
        int M=int.Parse(s[1]);
        int z2 = 0;

        int z1 = (2 * M) + (2 * (N - 2));
        if (M%2==0 || N%2==0)
        {
            z2 = (M - 2) *(N- 2);   
        }
        else if (M%2 != 0 && N%2!=0)
        {
            z2 = ((M - 2) * (N - 2))/2 ;
        }
        Console.WriteLine(z1+ z2);  


    }
}